Subject: [os2genau_digest] No. 1254
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 1 Feb 2006 00:02:13 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Tuesday 31 January 2006
 Number  1254
**************************************************

Subjects for today
 
1  Re:  USB mouse Config.sys statements : Dennis Nolan <djn at aanet dot com dot au>

**= Email   1 ==========================**

Date:  Tue, 31 Jan 2006 08:10:03 +1100
From:  Dennis Nolan <djn at aanet dot com dot au>
Subject:  Re:  USB mouse Config.sys statements

Ed Durrant wrote:
> and is
> DEVICE=C:\OS2\BOOT\MOUSE.SYS
> also after the pointdd.sys please ??
>
Yes, on the next line. Don't know how I missed it, no longer used to 
reading upper case only text.
Regards
Dennis
> Cheers/2
>
> Ed.
>
> Dennis Nolan wrote:
>> Ed
>>
>> Yep sorry about that but:
>>
>> DEVICE=C:\OS2\MDOS\VMOUSE.SYS
>> DEVICE=C:\OS2\BOOT\POINTDD.SYS
>>
>> It was part of the standard install and so as a standard install 
>> includes drivers that may be required and not only the drivers of the 
>> detected devices, I have no idea on weather they are realy necessary.
>>
>>
>> Ed Durrant wrote:
>>> Hi Dennis,
>>>
>>>   Yes got all of that - the question is what other mouse statements 
>>> do you have ?
>>>
>>> i.e. do you also have an active line with mouse.sys and vmouse.sys ??
>>>
>>> Cheers/2
>>>
>>> Ed.
>>>
>>> Dennis Nolan wrote:
>>>> Ed
>>>>
>>>> Here is what I have in my config.sys in their relative order
>>>>
>>>>
>>>> DEVICE=C:\OS2\BOOT\USBPRT.SYS
>>>> DEVICE=C:\OS2\BOOT\USBMOUSE.SYS
>>>> DEVICE=C:\OS2\BOOT\USBKBD.SYS
>>>> DEVICE=C:\ECS\BOOT\USBRESMG.SYS
>>>> rem DEVICE=C:\OS2\BOOT\USBCOM.SYS
>>>>
>>>>
>>>> BASEDEV=USBEHCD.SYS
>>>> BASEDEV=USBOHCD.SYS
>>>> BASEDEV=USBOHCD.SYS
>>>> BASEDEV=USBOHCD.SYS
>>>> BASEDEV=USBD.SYS
>>>> BASEDEV=USBHID.SYS
>>>>
>>>> BASEDEV=USBMSD.ADD
>>>> rem BASEDEV=USBCDROM.ADD
>>>>
>>>> The USBMSD is required for USB memory (Mass Storage) devices like 
>>>> memory sticks and cameras. From memory you also require the USBKBD 
>>>> with a USB mouse even if you do not have an USB keybord.
>>>>
>>>> You also need the same number of USB?HCD.SYS statements as USB 
>>>> ports. I have four USB ports, hence 4 statements. It does not 
>>>> matter how many ports are used, one statement for each available 
>>>> port is required.
>>>>
>>>> Regards
>>>> Dennis.
>>>>
>>>>
>>>>
>>>> Ed Durrant wrote:
>>>>> Hi,
>>>>>
>>>>>   Can anyone clarify for me what is required to be in config.sys 
>>>>> to support a usb-connected mouse please ?
>>>>>
>>>>>   Are there any parameters to go on either usbmouse.sys or (more 
>>>>> likely) mouse.sys ? Should I infact leave mouse.sys in config.sys 
>>>>> or is its logic already in usbmouse.sys. Does mouse.sys have to 
>>>>> proceed usbmouse.sys as when one uses a serial mouse ?
>>>>>
>>>>>   I want to have support for usb connected keyboard and mouse - I 
>>>>> have all that is required enabled in the system's CMOS settings, 
>>>>> but at boot time, OS/2 returms the message that it cannot load 
>>>>> usbmouse.sys, no other information excepy that it cannot be loaded.
>>>>>
>>>>> Cheers/2
>>>>>
>>>>> Ed.
>> 
>>>>>
>
>
 
>
> 

>

----------------------------------------------------------------------------------